field.storage_settings.paragraph_view_mode:
  type: field.storage_settings.string
  label: 'Paragraph view mode storage settings'

field.formatter.settings.paragraph_view_mode:
  type: field.formatter.settings.text_default
  label: 'Paragraph View Mode formatter settings'

field.widget.settings.paragraph_view_mode:
  type: field.widget.settings.string_textfield
  label: 'Paragraph view mode widget settings'
  mapping:
    view_modes:
      type: sequence
      label: 'Available view modes'
      sequence:
        type: string
        label: 'View mode'
    default_view_mode:
      type: string
      label: 'Default value'

paragraphs.paragraphs_type.*.third_party.paragraph_view_mode:
  type: mapping
  mapping:
    enabled:
      type: boolean
      label: 'Enabled'
    label:
      type: label
      label: 'Label'

field.value.paragraph_view_mode:
  type: field.value.string
  label: 'Paragraph view mode'
